---
date: 2025-04-25
title: balatro homebrew
subtitle: its not easy to hack your switch but its not as hard as you would expect
tags:
  - programming
  - videogames
  - homebrew
permalink: /blog/24/
---

*cross-posted from <https://bark.lgbt/@nycki/114395352312097076>.*

I got modded balatro to _mostly_ run under Switchroot Ubuntu. There's a bunch of mods that are complaining about bad filesystem access and I haven't dug in to isolate the problem yet. For my own notes tho, here's what I know:

- install Switchroot Ubuntu Noble, see here <https://wiki.switchroot.org/wiki/linux/l4t-ubuntu-noble-installation-guid>

- do *not* install the system default love package, it has a bad filesystem hook. <https://www.love2d.org/forums/viewtopic.php?t=93348e>

- install love=11.5ppa from bartbes's repo. <https://launchpad.net/~bartbes/+archive/ubuntu/love-stable>

- copy Balatro.exe from another computer. you don't need any of the dlls it comes with.

- install rust: <https://www.rust-lang.org/tools/install>

- use rust to compile lovely-injector, following WilsontheWolf's steps <https://github.com/ethangreen-dev/lovely-injector/issues/189#issuecomment-2814397769>

- run this command to start the game:

  ```sh
  LD_PRELOAD=liblovely.so love Balatro.exe
  ```

- place mods in ~/.config/love/Mods/.

TODO:
- load mods from another folder, such as .config/balatro/.
- figure out why some mods crash when loading textures.

